Skip to main content
PUT
/
share
/
{id}
Update a shareable asset
curl --request PUT \
  --url https://api.cloudglue.dev/v1/share/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": 123,
  "file_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "metadata": {},
  "preview_url": "<string>",
  "media_download_url": "<string>",
  "media_download_expires_at": 123,
  "share_url": "<string>",
  "stream_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the shareable asset to update

Body

application/json

Shareable asset update request parameters

title
string

The title of the shareable asset

description
string

The description of the shareable asset

metadata
object

The metadata of the shareable asset

Response

Shareable asset updated successfully

id
string<uuid>
required

The unique identifier of the shareable asset

file_id
string<uuid>
required

The ID of the file the shareable asset belongs to

created_at
number
required

The timestamp of when the shareable asset was created

file_segment_id
string<uuid>

The ID of the file segment the shareable asset belongs to (optional)

title
string

The title of the shareable asset

description
string

The description of the shareable asset

metadata
object

The metadata of the shareable asset

visibility
enum<string>

The visibility of the shareable asset. 'public' assets are viewable by anyone with the link; 'private' assets are restricted to members of the owning account and stream via a signed, token-gated playback url.

Available options:
public,
private
preview_url
string

The thumbnail url of the shareable asset

media_download_url
string

The signed media download url of the shareable asset. For private assets this url is short-lived (a few minutes) and should be used promptly.

media_download_expires_at
number | null

The timestamp of when the media download url will expire

share_url
string

This is the url that can be used to share the shareable asset. For private assets the page requires sign-in and membership of the owning account.

stream_url
string

The HLS stream url of the shareable asset. Available when the stream has finished processing. For private assets this is a signed, token-gated url that should be treated as short-lived.

status
enum<string>

The status of the shareable asset

Available options:
pending,
processing,
completed,
failed
asset_type
enum<string>

The type of asset the shareable asset belongs to

Available options:
file,
file_segment
object
enum<string>

Object type, always 'share'

Available options:
share